The persistent package

[Tags: library, mit]

Type-safe, data serialization. You must use a specific backend in order to make this useful.


Properties

Versions0.0.0, 0.0.0.1, 0.1.0, 0.2.0, 0.2.0.1, 0.2.0.2, 0.2.1, 0.2.2, 0.2.2.1, 0.2.2.2, 0.2.3, 0.2.4, 0.2.4.1, 0.3.0, 0.3.0.1, 0.3.1, 0.3.1.1, 0.3.1.2, 0.3.1.3, 0.4.0, 0.4.0.1, 0.4.1, 0.4.2, 0.5.0, 0.5.1, 0.6.1, 0.6.2, 0.6.3, 0.6.4, 0.6.4.1, 0.6.4.2, 0.6.4.3, 0.6.4.4, 0.7.0, 0.7.0.1, 0.8.0, 0.8.0.1, 0.8.0.2, 0.9.0, 0.9.0.1, 0.9.0.2, 0.9.0.3, 0.9.0.4, 1.0.0, 1.0.1, 1.0.1.1, 1.0.1.2, 1.0.1.3, 1.0.2, 1.0.2.1, 1.0.2.2, 1.1.0, 1.1.0.1, 1.1.2, 1.1.3, 1.1.3.1, 1.1.3.2, 1.1.4, 1.1.5, 1.1.5.1, 1.2.0, 1.2.0.1, 1.2.0.2, 1.2.1, 1.2.1.1, 1.2.1.2, 1.2.2.0, 1.2.3.0, 1.2.3.1, 1.2.3.2, 1.2.3.3, 1.3.0, 1.3.0.2, 1.3.0.3, 1.3.0.4, 1.3.0.5, 1.3.0.6 (info)
Dependenciesaeson (>=0.5 && <0.7), attoparsec, base (==4.*), base64-bytestring, blaze-html (==0.4.*), bytestring (>=0.9), conduit (==0.5.*), containers (>=0.2), lifted-base (>=0.1), monad-control (==0.3.*), monad-logger (>=0.2.1 && <0.3), path-pieces (==0.1.*), pool-conduit (==0.1.*), resourcet (>=0.3 && <0.5), template-haskell, text (>=0.8), time (>=1.1.4), transformers (>=0.2.1), transformers-base, unordered-containers, vector or
aeson (>=0.5 && <0.7), attoparsec, base (==4.*), base64-bytestring, blaze-html (==0.5.*), blaze-markup (>=0.5.1 && <0.6), bytestring (>=0.9), conduit (==0.5.*), containers (>=0.2), lifted-base (>=0.1), monad-control (==0.3.*), monad-logger (>=0.2.1 && <0.3), path-pieces (==0.1.*), pool-conduit (==0.1.*), resourcet (>=0.3 && <0.5), template-haskell, text (>=0.8), time (>=1.1.4), transformers (>=0.2.1), transformers-base, unordered-containers, vector
LicenseMIT
AuthorMichael Snoyman <michael@snoyman.com>
MaintainerMichael Snoyman <michael@snoyman.com>
StabilityStable
CategoryDatabase, Yesod
Home pagehttp://www.yesodweb.com/book/persistent
Source repositoryhead: git clone git://github.com/yesodweb/persistent.git
Upload dateThu Oct 11 04:08:07 UTC 2012
Uploaded byMichaelSnoyman
DistributionsDebian:1.2.3.3, FreeBSD:1.2.0.1, NixOS:1.3.0.6
Downloads20305 total (3470 in last 30 days)

Modules

Flags

NameDescriptionDefault
nooverlaptest out our assumption that OverlappingInstances is just for StringDisabled
blaze_html_0_5use blaze-html 0.5 and blaze-markup 0.5Enabled

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees